composer.json 1.34 KB
Newer Older
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20
{
  "name": "drupal/core",
  "description": "Drupal is an open source content management platform powering millions of websites and applications.",
  "type": "drupal-core",
  "license": "GPL-2.0+",
  "require": {
    "php": ">=5.4.5",
    "sdboyer/gliph": "0.1.*",
    "symfony/class-loader": "2.6.*",
    "symfony/css-selector": "2.6.*",
    "symfony/dependency-injection": "2.6.*",
    "symfony/event-dispatcher": "2.6.*",
    "symfony/http-foundation": "2.6.*",
    "symfony/http-kernel": "2.6.*",
    "symfony/routing": "2.6.*",
    "symfony/serializer": "2.6.*",
    "symfony/validator": "2.6.*",
    "symfony/process": "2.6.*",
    "symfony/yaml": "2.6.*",
    "twig/twig": "1.16.*",
21
    "doctrine/common": "~2.4.2",
22 23 24 25
    "doctrine/annotations": "1.2.*",
    "guzzlehttp/guzzle": "~5.0",
    "symfony-cmf/routing": "1.3.*",
    "easyrdf/easyrdf": "0.9.*",
26
    "phpunit/phpunit": "4.4.*",
27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46
    "zendframework/zend-feed": "2.3.*",
    "mikey179/vfsStream": "1.*",
    "stack/builder": "1.0.*",
    "egulias/email-validator": "1.2.*"
  },
  "autoload": {
    "psr-4": {
      "Drupal\\Core\\": "lib/Drupal/Core",
      "Drupal\\Component\\": "lib/Drupal/Component",
      "Drupal\\Driver\\": "../drivers/lib/Drupal/Driver"
    },
    "files": [
      "lib/Drupal.php"
    ]
  },
  "config": {
    "preferred-install": "dist",
    "autoloader-suffix": "Drupal8"
  }
}